Date: Thu, 19 Feb 1998 09:51:46 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
cc: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>,
        Jes Sorensen <Jes.Sorensen@cern.ch>
Subject: drivers/video


There were still some chipset specific CONFIG_FBCON_* things left.

Roman, I didn't include your Penguin patch because I haven't tested it yet.

Jes, can you please send drivers/video to Linus while I'm abroad?

--- m68k/drivers/video/fbcon.c.orig	Tue Feb 17 23:27:30 1998
+++ m68k/drivers/video/fbcon.c	Wed Feb 18 21:29:59 1998
@@ -1162,8 +1162,7 @@
     }
 
 #if defined(CONFIG_FBCON_CFB16) || defined(CONFIG_FBCON_CFB24) || \
-    defined(CONFIG_FBCON_CFB32) || defined(CONFIG_FBCON_CYBER) || \
-    defined(CONFIG_FBCON_VIRGE) || defined(CONFIG_FBCON_RETINAZ3)
+    defined(CONFIG_FBCON_CFB32)
     if ((depth % 8 == 0) && (p->visual == FB_VISUAL_TRUECOLOR ||
 			     p->visual == FB_VISUAL_DIRECTCOLOR)) {
 	/* Modes without color mapping, needs special data transformation... */
@@ -1196,9 +1195,7 @@
 	done = 1;
     }
 #endif
-#if defined(CONFIG_FBCON_CFB8) || defined(CONFIG_FBCON_CYBER) || \
-    defined(CONFIG_FBCON_VIRGE) || defined(CONFIG_FBCON_RETINAZ3)
-
+#if defined(CONFIG_FBCON_CFB8)
     if (depth == 8 && p->type == FB_TYPE_PACKED_PIXELS) {
 	/* depth 8 or more, packed, with color registers */
 		
Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

